<?php

function grid_patch($controller){

    $options = array(
        'order_by' => 'order_patch',
        'order_to' => 'asc'
    );

    $columns = array(
        'order_patch' => array(
        'title' => LANG_MYPATCH_ORDER,
        'width' => 5,
        ),
        'description' => array(
            'title' => LANG_MYPATCH_DESCRIPTION,
            'href' => href_to($controller->root_url, 'files', array('{id}')),
        ),
        'state_patch' => array(
            'title' => LANG_MYPATCH_STATE,
            'flag'  => true,
            'href' => href_to($controller->root_url, 'state', array('patch','{id}')),
            'width' => 5,
        )
    );

    $actions = array(
        array(
            'title' => LANG_MYPATCH_UPLOAD,
            'class' => 'save',
            'href' => href_to($controller->root_url, 'patch_upload', array('{id}')),

        ),
        array(
            'title' => LANG_MYPATCH_EDIT,
            'class' => 'edit',
            'href' => href_to($controller->root_url, 'patch_edit', array('{id}')),
        ),
        array(
            'title' => LANG_MYPATCH_DELETE,
            'class' => 'delete',
            'href' => href_to($controller->root_url, 'patch_delete',  '{id}'),
            'confirm' => LANG_MYPATCH_ITEM_DELETE_CONFIRM
        )

    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );

}

