<?php

class actionMypatchFileDelete extends cmsAction {
    
    public function run($file_id=false){

        $is_admin = cmsUser::isAdmin();
        if (!$is_admin) { cmsCore::error404(); }
        if (!$file_id) { cmsCore::error404(); }
        
        $mypatch_model = cmsCore::getModel('mypatch');
        
        $file = $mypatch_model->getPatchFile($file_id);
        
        if (!$file) { cmsCore::error404(); }
        
        $mypatch_error = $mypatch_model->deletePatchFile($file_id);
            if ($mypatch_error['file_reset']) {
            cmsUser::addSessionMessage(LANG_MYPATCH_ERRORS_ORIGINAL_RESET, 'error');
            }
        $this->redirectToAction('files', array($file['patch_id']));    
    }
    
}

