<?php

class actionMypatchState extends cmsAction {

    public function run($state=false, $id=false){

        $is_admin = cmsUser::isAdmin();
        if (!$is_admin) { cmsCore::error404(); }
        if (!$state) { cmsCore::error404(); };
        if (!$id) { cmsCore::error404(); };
        
        $mypatch_model = cmsCore::getModel('mypatch');
        if ($state == "patch"){
            $mypatch_model->changeStatePatch($id);
            $this->redirectToAction('');    
        } elseif ($state == "file") {
            $patch_id = $mypatch_model->changeStatePatchFile($id);        
            $this->redirectToAction ('files', array($patch_id));    
        } else {
            $this->redirectToAction('');    
        }
    }
}
